/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;


/**
 * A layer showing bike lanes and paths.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class BicyclingLayer extends MVCObject {

  /**
   * A layer that displays bike lanes and paths and demotes large roads.
   */ 
  public static native BicyclingLayer create()/*-{
    return new $wnd.google.maps.BicyclingLayer();
  }-*/;


  /**
   * Protected constructor avoids default public constructor.
   */
  protected BicyclingLayer() {
    /* Java constructor is protected, */
  }

  /**
   * Returns the map on which this layer is displayed.
   */ 
  public final native GoogleMap getMap()/*-{
    return this.getMap();

  }-*/;

  /**
   * Renders the layer on the specified map.  If map is set to null, the
   * layer will be removed.
   */ 
  public final native void setMap(GoogleMap map)/*-{
    this.setMap(map);

  }-*/;

}

