/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * 
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class CircleOptions extends JavaScriptObject {

  public static final CircleOptions create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected CircleOptions() {
    /* Java constructor is protected, */
  }

  /**
   * The center
   */ 
  public final native void setCenter(LatLng center)/*-{
    this.center = center;
  }-*/;

  /**
   * Indicates whether this 
   * <code>Circle</code>
   * 
   *  handles 
   * <code>click</code>
   * 
   * events. Defaults to 
   * <code>true</code>
   * 
   * .
   */ 
  public final native void setClickable(boolean clickable)/*-{
    this.clickable = clickable;
  }-*/;

  /**
   * If set to true, the user can edit this circle by dragging the control
   * points shown at the center and around the circumference of the
   * circle. Defaults to
   * <code>false</code>
   * 
   * .
   */ 
  public final native void setEditable(boolean editable)/*-{
    this.editable = editable;
  }-*/;

  /**
   * The fill color. All CSS3 colors are supported except for extended named colors.
   */ 
  public final native void setFillColor(String fillColor)/*-{
    this.fillColor = fillColor;
  }-*/;

  /**
   * The fill opacity between 0.0 and 1.0
   */ 
  public final native void setFillOpacity(double fillOpacity)/*-{
    this.fillOpacity = fillOpacity;
  }-*/;

  /**
   * Map on which to display Circle.
   */ 
  public final native void setMap(GoogleMap map)/*-{
    this.map = map;
  }-*/;

  /**
   * The radius in meters on the Earth's surface
   */ 
  public final native void setRadius(double radius)/*-{
    this.radius = radius;
  }-*/;

  /**
   * The stroke color. All CSS3 colors are supported except for extended named colors.
   */ 
  public final native void setStrokeColor(String strokeColor)/*-{
    this.strokeColor = strokeColor;
  }-*/;

  /**
   * The stroke opacity between 0.0 and 1.0
   */ 
  public final native void setStrokeOpacity(double strokeOpacity)/*-{
    this.strokeOpacity = strokeOpacity;
  }-*/;

  /**
   * The stroke width in pixels.
   */ 
  public final native void setStrokeWeight(double strokeWeight)/*-{
    this.strokeWeight = strokeWeight;
  }-*/;

  /**
   * Whether this circle is visible on the map. Defaults to
   * <code>true</code>
   * 
   * .
   */ 
  public final native void setVisible(boolean visible)/*-{
    this.visible = visible;
  }-*/;

  /**
   * The zIndex compared to other polys.
   */ 
  public final native void setZindex(double zIndex)/*-{
    this.zIndex = zIndex;
  }-*/;

}

