/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * A service for computing directions between two or more places.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class DirectionsService extends JavaScriptObject {

  /**
   * Callback type for handling asynchronous responses from route.
   */
  public interface Callback  {

    /**
     * Called by the callback handler
     */ 
    void handle(DirectionsResult a, DirectionsStatus b);
  }

  /**
   * Creates a new instance of a 
   * <code>DirectionsService</code>
   * 
   * that sends directions queries to Google servers.
   */ 
  public static native DirectionsService create()/*-{
    return new $wnd.google.maps.DirectionsService();
  }-*/;


  /**
   * Protected constructor avoids default public constructor.
   */
  protected DirectionsService() {
    /* Java constructor is protected, */
  }

  /**
   * Issue a directions search request.
   */ 
  public final native void route(DirectionsRequest request, Callback callback)/*-{
    var _request;
    if(@com.google.gwt.core.client.GWT::isScript()()) {
      _request = request;
    } else {
      _request = {};
      for(k in request) {
        if(k != "__gwt_ObjectId") {
          _request[k] = request[k];
        }
      }
    } 
    var _callback = $entry(function(a, _b) {
      var b = (_b == undefined) ?
          null : @com.google.maps.gwt.client.DirectionsStatus::fromValue(Ljava/lang/String;)(_b); 
      callback.@com.google.maps.gwt.client.DirectionsService.Callback::handle(Lcom/google/maps/gwt/client/DirectionsResult;Lcom/google/maps/gwt/client/DirectionsStatus;)(a,b);

    }); 
    this.route(_request, _callback);

  }-*/;

}

