/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArray;

/**
 * A single 
 * <code>DirectionsStep</code>
 * 
 * in a
 * <code>DirectionsResult</code>
 * 
 * .  Some fields may be undefined. Note that though this object is
 * "JSON-like," it is not strictly JSON, as it directly includes
 * <code>LatLng</code>
 * 
 * objects.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class DirectionsStep extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected DirectionsStep() {
    /* Java constructor is protected, */
  }

  /**
   * The distance covered by this step.  This property may be undefined as
   * the distance may be unknown.
   */ 
  public final native Distance getDistance()/*-{
    return this.distance;

  }-*/;

  /**
   * The typical time required to perform this step in seconds and in text
   * form.  This property may be undefined as the duration may be unknown.
   */ 
  public final native Duration getDuration()/*-{
    return this.duration;

  }-*/;

  /**
   * The ending location of this step.
   */ 
  public final native LatLng getEndLocation()/*-{
    return this.end_location;

  }-*/;

  /**
   * Instructions for this step.
   */ 
  public final native String getInstructions()/*-{
    return this.instructions;

  }-*/;

  /**
   * A sequence of 
   * <code>LatLng</code>
   * 
   * s describing the course of this step.
   */ 
  public final native JsArray<LatLng> getPath()/*-{
    return this.path;

  }-*/;

  /**
   * The starting location of this step.
   */ 
  public final native LatLng getStartLocation()/*-{
    return this.start_location;

  }-*/;

  /**
   * The mode of travel used in this step.
   */ 
  public final native TravelMode getTravelMode()/*-{
    var _retval = this.travel_mode;
    var retval = (_retval == undefined) ?
        null : @com.google.maps.gwt.client.TravelMode::fromValue(Ljava/lang/String;)(_retval);
    return retval;
  }-*/;

  /**
   * The distance covered by this step.  This property may be undefined as
   * the distance may be unknown.
   */ 
  public final native void setDistance(Distance distance)/*-{
    this.distance = distance;
  }-*/;

  /**
   * The typical time required to perform this step in seconds and in text
   * form.  This property may be undefined as the duration may be unknown.
   */ 
  public final native void setDuration(Duration duration)/*-{
    this.duration = duration;
  }-*/;

  /**
   * The ending location of this step.
   */ 
  public final native void setEndLocation(LatLng end_location)/*-{
    this.end_location = end_location;
  }-*/;

  /**
   * Instructions for this step.
   */ 
  public final native void setInstructions(String instructions)/*-{
    this.instructions = instructions;
  }-*/;

  /**
   * A sequence of 
   * <code>LatLng</code>
   * 
   * s describing the course of this step.
   */ 
  public final native void setPath(JsArray<LatLng> path)/*-{
    this.path = path;
  }-*/;

  /**
   * The starting location of this step.
   */ 
  public final native void setStartLocation(LatLng start_location)/*-{
    this.start_location = start_location;
  }-*/;

  /**
   * The mode of travel used in this step.
   */ 
  public final native void setTravelMode(TravelMode travel_mode)/*-{
    var _travel_mode = travel_mode == undefined ? null : travel_mode.value; 
    this.travel_mode = _travel_mode;
  }-*/;

}

