/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * A 
 * <code>DirectionsWaypoint</code>
 * 
 * represents a location between origin and destination through which
 * the trip should be routed.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class DirectionsWaypoint extends JavaScriptObject {

  public static final DirectionsWaypoint create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected DirectionsWaypoint() {
    /* Java constructor is protected, */
  }

  /**
   * Waypoint location. Can be an address string or 
   * <code>LatLng</code>
   * 
   * . Optional.
   */ 
  public final native void setLocation(LatLng location)/*-{
    this.location = location;
  }-*/;

  /**
   * Waypoint location. Can be an address string or 
   * <code>LatLng</code>
   * 
   * . Optional.
   */ 
  public final native void setLocation(String location)/*-{
    this.location = location;
  }-*/;

  /**
   * If 
   * <code>true</code>
   * 
   * , indicates that this waypoint is a stop between the origin and
   * destination.  This has the effect of splitting the route into two. 
   * This value is
   * <code>true</code>
   * 
   * by default. Optional.
   */ 
  public final native void setStopover(boolean stopover)/*-{
    this.stopover = stopover;
  }-*/;

}

