/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * A representation of distance as a numeric value and a display string.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class Distance extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected Distance() {
    /* Java constructor is protected, */
  }

  /**
   * A string representation of the distance value, using the
   * <code>UnitSystem</code>
   * 
   * specified in the request.
   */ 
  public final native String getText()/*-{
    return this.text;

  }-*/;

  /**
   * The distance in meters.
   */ 
  public final native double getValue()/*-{
    return this.value;

  }-*/;

  /**
   * A string representation of the distance value, using the
   * <code>UnitSystem</code>
   * 
   * specified in the request.
   */ 
  public final native void setText(String text)/*-{
    this.text = text;
  }-*/;

  /**
   * The distance in meters.
   */ 
  public final native void setValue(double value)/*-{
    this.value = value;
  }-*/;

}

