/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArray;
import com.google.gwt.core.client.JsArrayString;

/**
 * The response to a 
 * <code>DistanceMatrixService</code>
 * 
 * request, consisting of the formatted origin and destination
 * addresses, and a sequence of
 * <code>DistanceMatrixResponseRow</code>
 * 
 * s, one for each corresponding origin address.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class DistanceMatrixResponse extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected DistanceMatrixResponse() {
    /* Java constructor is protected, */
  }

  /**
   * The formatted destination addresses.
   */ 
  public final native JsArrayString getDestinationAddresses()/*-{
    return this.destinationAddresses;

  }-*/;

  /**
   * The formatted origin addresses.
   */ 
  public final native JsArrayString getOriginAddresses()/*-{
    return this.originAddresses;

  }-*/;

  /**
   * The rows of the matrix, corresponding to the origin addresses.
   */ 
  public final native JsArray<DistanceMatrixResponseRow> getRows()/*-{
    return this.rows;

  }-*/;

  /**
   * The formatted destination addresses.
   */ 
  public final native void setDestinationAddresses(JsArrayString destinationAddresses)/*-{
    this.destinationAddresses = destinationAddresses;
  }-*/;

  /**
   * The formatted origin addresses.
   */ 
  public final native void setOriginAddresses(JsArrayString originAddresses)/*-{
    this.originAddresses = originAddresses;
  }-*/;

  /**
   * The rows of the matrix, corresponding to the origin addresses.
   */ 
  public final native void setRows(JsArray<DistanceMatrixResponseRow> rows)/*-{
    this.rows = rows;
  }-*/;

}

