/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * The result of an 
 * <code>ElevationService</code>
 * 
 * request, consisting of the set of elevation coordinates and their
 * elevation values. Note that a single request may produce multiple
 * <code>ElevationResult</code>
 * 
 * s.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class ElevationResult extends JavaScriptObject {

  public static final ElevationResult create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected ElevationResult() {
    /* Java constructor is protected, */
  }

  /**
   * The elevation of this point on Earth, in meters above sea level.
   */ 
  public final native double getElevation()/*-{
    return this.elevation;

  }-*/;

  /**
   * The location of this elevation result.
   */ 
  public final native LatLng getLocation()/*-{
    return this.location;

  }-*/;

  /**
   * The distance, in meters, between sample points from which the
   * elevation was interpolated. This property will be missing if the
   * resolution is not known. Note that elevation data becomes more coarse
   * (larger
   * <code>resolution</code>
   * 
   * values) when multiple points are passed. To obtain the most accurate
   * elevation value for a point, it should be queried independently.
   */ 
  public final native double getResolution()/*-{
    return this.resolution;

  }-*/;

}

