/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * Describes a single cell from a Fusion Tables table.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class FusionTablesCell extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected FusionTablesCell() {
    /* Java constructor is protected, */
  }

  /**
   * The name of the column in which the cell was located.
   */ 
  public final native String getColumnName()/*-{
    return this.columnName;

  }-*/;

  /**
   * The contents of the cell.
   */ 
  public final native String getValue()/*-{
    return this.value;

  }-*/;

  /**
   * The name of the column in which the cell was located.
   */ 
  public final native void setColumnName(String columnName)/*-{
    this.columnName = columnName;
  }-*/;

  /**
   * The contents of the cell.
   */ 
  public final native void setValue(String value)/*-{
    this.value = value;
  }-*/;

}

