/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArray;

/**
 * This object defines the properties that can be set on a
 * <code>FusionTablesLayer</code>
 * 
 * object.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class FusionTablesLayerOptions extends LayerOptions {

  public static final FusionTablesLayerOptions create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected FusionTablesLayerOptions() {
    /* Java constructor is protected, */
  }

  /**
   * If true, the layer receives mouse events. Default value is true.
   */ 
  public final native void setClickable(boolean clickable)/*-{
    this.clickable = clickable;
  }-*/;

  /**
   * Options which define the appearance of the layer as a heatmap.
   */ 
  public final native void setHeatmap(FusionTablesHeatmap heatmap)/*-{
    this.heatmap = heatmap;
  }-*/;

  /**
   * The map on which to display the layer.
   */ 
  public final native void setMap(GoogleMap map)/*-{
    this.map = map;
  }-*/;

  /**
   * Options defining the data to display.
   */ 
  public final native void setQuery(FusionTablesQuery query)/*-{
    this.query = query;
  }-*/;

  /**
   * An array of up to 5 style specifications, which control the
   * appearance of features within the layer.
   */ 
  public final native void setStyles(JsArray<FusionTablesStyle> styles)/*-{
    this.styles = styles;
  }-*/;

  /**
   * Suppress the rendering of info windows when layer features are clicked.
   */ 
  public final native void setSuppressInfoWindows(boolean suppressInfoWindows)/*-{
    this.suppressInfoWindows = suppressInfoWindows;
  }-*/;

}

