/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * The properties of a mouse event on a 
 * <code>FusionTablesLayer</code>
 * 
 * .
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class FusionTablesMouseEvent extends JavaScriptObject {

  public static final FusionTablesMouseEvent create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected FusionTablesMouseEvent() {
    /* Java constructor is protected, */
  }

  /**
   * Pre-rendered HTML content, as placed in the infowindow by the default UI.
   */ 
  public final native String getInfoWindowHtml()/*-{
    return this.infoWindowHtml;

  }-*/;

  /**
   * The position at which to anchor an infowindow on the clicked feature.
   */ 
  public final native LatLng getLatLng()/*-{
    return this.latLng;

  }-*/;

  /**
   * The offset to apply to an infowindow anchored on the clicked feature.
   */ 
  public final native Size getPixelOffset()/*-{
    return this.pixelOffset;

  }-*/;

  /**
   * A collection of 
   * <code>FusionTablesCell</code>
   * 
   * objects, indexed by column name, representing the contents of the
   * table row which included the clicked feature.
   */ 
  public final native JavaScriptObject getRow()/*-{
    return this.row;

  }-*/;

}

