/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * Specifies the data to retrieve from a Fusion Tables.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class FusionTablesQuery extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected FusionTablesQuery() {
    /* Java constructor is protected, */
  }

  /**
   * The ID of the Fusion Tables table to display. This ID can be found in
   * the table's URL, as the value of the
   * <code>dsrcid</code>
   * 
   * parameter.
   */ 
  public final native String getFrom()/*-{
    return this.from;

  }-*/;

  /**
   * A column, containing geographic features to be displayed on the map.
   * See <a href="/maps/documentation/javascript/layers#FusionTablesSetup">
   * Fusion Tables Setup</a> in the Maps API documentation for information
   * about valid columns.
   */ 
  public final native String getSelect()/*-{
    return this.select;

  }-*/;

  /**
   * The SQL predicate to be applied to the layer.
   */ 
  public final native String getWhere()/*-{
    return this.where;

  }-*/;

  /**
   * The ID of the Fusion Tables table to display. This ID can be found in
   * the table's URL, as the value of the
   * <code>dsrcid</code>
   * 
   * parameter.
   */ 
  public final native void setFrom(String from)/*-{
    this.from = from;
  }-*/;

  /**
   * A column, containing geographic features to be displayed on the map.
   * See <a href="/maps/documentation/javascript/layers#FusionTablesSetup">
   * Fusion Tables Setup</a> in the Maps API documentation for information
   * about valid columns.
   */ 
  public final native void setSelect(String select)/*-{
    this.select = select;
  }-*/;

  /**
   * The SQL predicate to be applied to the layer.
   */ 
  public final native void setWhere(String where)/*-{
    this.where = where;
  }-*/;

}

