/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * Controls the appearance of a set of features within a
 * <code>FusionTablesLayer</code>
 * 
 * . Features which match the provided SQL predicate will be styled with
 * the supplied options.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class FusionTablesStyle extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected FusionTablesStyle() {
    /* Java constructor is protected, */
  }

  /**
   * Options which control the appearance of point features.
   */ 
  public final native FusionTablesMarkerOptions getMarkerOptions()/*-{
    var _retval = this.markerOptions;
    var retval = _retval;
    return retval;
  }-*/;

  /**
   * Options which control the appearance of polygons.
   */ 
  public final native FusionTablesPolygonOptions getPolygonOptions()/*-{
    var _retval = this.polygonOptions;
    var retval = _retval;
    return retval;
  }-*/;

  /**
   * Options which control the appearance of polylines.
   */ 
  public final native FusionTablesPolylineOptions getPolylineOptions()/*-{
    var _retval = this.polylineOptions;
    var retval = _retval;
    return retval;
  }-*/;

  /**
   * The SQL predicate to be applied to the layer.
   */ 
  public final native String getWhere()/*-{
    return this.where;

  }-*/;

  /**
   * Options which control the appearance of point features.
   */ 
  public final native void setMarkerOptions(FusionTablesMarkerOptions markerOptions)/*-{
    var _markerOptions;
    if(@com.google.gwt.core.client.GWT::isScript()()) {
      _markerOptions = markerOptions;
    } else {
      _markerOptions = {};
      for(k in markerOptions) {
        if(k != "__gwt_ObjectId") {
          _markerOptions[k] = markerOptions[k];
        }
      }
    } 
    this.markerOptions = _markerOptions;
  }-*/;

  /**
   * Options which control the appearance of polygons.
   */ 
  public final native void setPolygonOptions(FusionTablesPolygonOptions polygonOptions)/*-{
    var _polygonOptions;
    if(@com.google.gwt.core.client.GWT::isScript()()) {
      _polygonOptions = polygonOptions;
    } else {
      _polygonOptions = {};
      for(k in polygonOptions) {
        if(k != "__gwt_ObjectId") {
          _polygonOptions[k] = polygonOptions[k];
        }
      }
    } 
    this.polygonOptions = _polygonOptions;
  }-*/;

  /**
   * Options which control the appearance of polylines.
   */ 
  public final native void setPolylineOptions(FusionTablesPolylineOptions polylineOptions)/*-{
    var _polylineOptions;
    if(@com.google.gwt.core.client.GWT::isScript()()) {
      _polylineOptions = polylineOptions;
    } else {
      _polylineOptions = {};
      for(k in polylineOptions) {
        if(k != "__gwt_ObjectId") {
          _polylineOptions[k] = polylineOptions[k];
        }
      }
    } 
    this.polylineOptions = _polylineOptions;
  }-*/;

  /**
   * The SQL predicate to be applied to the layer.
   */ 
  public final native void setWhere(String where)/*-{
    this.where = where;
  }-*/;

}

