/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArrayString;

/**
 * A single address component within a 
 * <code>GeocoderResult</code>
 * 
 * . A full address may consist of multiple address components.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class GeocoderAddressComponent extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected GeocoderAddressComponent() {
    /* Java constructor is protected, */
  }

  /**
   * The full text of the address component
   */ 
  public final native String getLongName()/*-{
    return this.long_name;

  }-*/;

  /**
   * The abbreviated, short text of the given address component
   */ 
  public final native String getShortName()/*-{
    return this.short_name;

  }-*/;

  /**
   * An array of strings denoting the type of this address component
   */ 
  public final native JsArrayString getTypes()/*-{
    return this.types;

  }-*/;

  /**
   * The full text of the address component
   */ 
  public final native void setLongName(String long_name)/*-{
    this.long_name = long_name;
  }-*/;

  /**
   * The abbreviated, short text of the given address component
   */ 
  public final native void setShortName(String short_name)/*-{
    this.short_name = short_name;
  }-*/;

  /**
   * An array of strings denoting the type of this address component
   */ 
  public final native void setTypes(JsArrayString types)/*-{
    this.types = types;
  }-*/;

}

