/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * Geometry information about this 
 * <code>GeocoderResult</code>
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class GeocoderGeometry extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected GeocoderGeometry() {
    /* Java constructor is protected, */
  }

  /**
   * The precise bounds of this 
   * <code>GeocodeResult</code>
   * 
   * , if applicable
   */ 
  public final native LatLngBounds getBounds()/*-{
    return this.bounds;

  }-*/;

  /**
   * The latitude/longitude coordinates of this result
   */ 
  public final native LatLng getLocation()/*-{
    return this.location;

  }-*/;

  /**
   * The type of location returned in 
   * <code>location</code>
   */ 
  public final native GeocoderLocationType getLocationType()/*-{
    var _retval = this.location_type;
    var retval = (_retval == undefined) ?
        null : @com.google.maps.gwt.client.GeocoderLocationType::fromValue(Ljava/lang/String;)(_retval);
    return retval;
  }-*/;

  /**
   * The bounds of the recommended viewport for displaying this
   * <code>GeocodeResult</code>
   */ 
  public final native LatLngBounds getViewport()/*-{
    return this.viewport;

  }-*/;

  /**
   * The precise bounds of this 
   * <code>GeocodeResult</code>
   * 
   * , if applicable
   */ 
  public final native void setBounds(LatLngBounds bounds)/*-{
    this.bounds = bounds;
  }-*/;

  /**
   * The latitude/longitude coordinates of this result
   */ 
  public final native void setLocation(LatLng location)/*-{
    this.location = location;
  }-*/;

  /**
   * The type of location returned in 
   * <code>location</code>
   */ 
  public final native void setLocationType(GeocoderLocationType location_type)/*-{
    var _location_type = location_type == undefined ? null : location_type.value; 
    this.location_type = _location_type;
  }-*/;

  /**
   * The bounds of the recommended viewport for displaying this
   * <code>GeocodeResult</code>
   */ 
  public final native void setViewport(LatLngBounds viewport)/*-{
    this.viewport = viewport;
  }-*/;

}

