/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * The specification for a geocoding request to be sent to the
 * <code>Geocoder</code>
 * 
 * .
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class GeocoderRequest extends JavaScriptObject {

  public static final GeocoderRequest create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected GeocoderRequest() {
    /* Java constructor is protected, */
  }

  /**
   * Address. Optional.
   */ 
  public final native void setAddress(String address)/*-{
    this.address = address;
  }-*/;

  /**
   * LatLngBounds within which to search.  Optional.
   */ 
  public final native void setBounds(LatLngBounds bounds)/*-{
    this.bounds = bounds;
  }-*/;

  /**
   * LatLng about which to search.  Optional.
   */ 
  public final native void setLocation(LatLng location)/*-{
    this.location = location;
  }-*/;

  /**
   * Country code top-level domain within which to search.  Optional.
   */ 
  public final native void setRegion(String region)/*-{
    this.region = region;
  }-*/;

}

