/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArray;
import com.google.gwt.core.client.JsArrayString;

/**
 * A single geocoder result retrieved from the geocode server. A geocode
 * request may return multiple result objects. Note that though this
 * result is "JSON-like," it is not strictly JSON, as it indirectly
 * includes a
 * <code>LatLng</code>
 * 
 * object.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class GeocoderResult extends JavaScriptObject {

  public static final GeocoderResult create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected GeocoderResult() {
    /* Java constructor is protected, */
  }

  /**
   * An array of 
   * <code>GeocoderAddressComponent</code>
   * 
   * s
   */ 
  public final native JsArray<GeocoderAddressComponent> getAddressComponents()/*-{
    return this.address_components;

  }-*/;

  /**
   * A string containing the human-readable address of this location.
   */ 
  public final native String getFormattedAddress()/*-{
    return this.formatted_address;

  }-*/;

  /**
   * A 
   * <code>GeocoderGeometry</code>
   * 
   * object
   */ 
  public final native GeocoderGeometry getGeometry()/*-{
    return this.geometry;

  }-*/;

  /**
   * An array of strings denoting the type of the returned geocoded
   * element. For a list of possible strings, refer to the <a href=
   * "/maps/documentation/javascript/geocoding#GeocodingAddressTypes">
   * Address Component Types</a> section of the Developer's Guide.
   */ 
  public final native JsArrayString getTypes()/*-{
    return this.types;

  }-*/;

}

