/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * This object defines the properties that can be set on a
 * <code>GroundOverlay</code>
 * 
 * object.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class GroundOverlayOptions extends JavaScriptObject {

  public static final GroundOverlayOptions create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected GroundOverlayOptions() {
    /* Java constructor is protected, */
  }

  /**
   * If 
   * <code>true</code>
   * 
   * , the ground overlay can receive
   * <code>click</code>
   * 
   * events.
   */ 
  public final native void setClickable(boolean clickable)/*-{
    this.clickable = clickable;
  }-*/;

  /**
   * The map on which to display the overlay.
   */ 
  public final native void setMap(GoogleMap map)/*-{
    this.map = map;
  }-*/;

  /**
   * The opacity of the overlay, expressed as a number between 0 and 1.
   * Optional. Defaults to 1.
   */ 
  public final native void setOpacity(double opacity)/*-{
    this.opacity = opacity;
  }-*/;

}

