/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.dom.client.Node;

/**
 * 
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class InfoWindowOptions extends JavaScriptObject {

  public static final InfoWindowOptions create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected InfoWindowOptions() {
    /* Java constructor is protected, */
  }

  /**
   * Content to display in the InfoWindow.  This can be an HTML element, a
   * plain-text string, or a string containing HTML.  The InfoWindow will
   * be sized according to the content.  To set an explicit size for the
   * content, set content to be a HTML element with that size.
   */ 
  public final native void setContent(String content)/*-{
    this.content = content;
  }-*/;

  /**
   * Content to display in the InfoWindow.  This can be an HTML element, a
   * plain-text string, or a string containing HTML.  The InfoWindow will
   * be sized according to the content.  To set an explicit size for the
   * content, set content to be a HTML element with that size.
   */ 
  public final native void setContent(Node content)/*-{
    this.content = content;
  }-*/;

  /**
   * Disable auto-pan on open.  By default, the info window will pan the
   * map so that it is fully visible when it opens.
   */ 
  public final native void setDisableAutoPan(boolean disableAutoPan)/*-{
    this.disableAutoPan = disableAutoPan;
  }-*/;

  /**
   * Maximum width of the infowindow, regardless of content's width.  This
   * value is only considered if it is set before a call to open.  To
   * change the maximum width when changing content, call close,
   * setOptions, and then open.
   */ 
  public final native void setMaxWidth(double maxWidth)/*-{
    this.maxWidth = maxWidth;
  }-*/;

  /**
   * The offset, in pixels, of the tip of the info window from the point
   * on the map at whose geographical coordinates the info window is
   * anchored.  If an InfoWindow is opened with an anchor, the pixelOffset
   * will be calculated from the top-center of the anchor's bounds.
   */ 
  public final native void setPixelOffset(Size pixelOffset)/*-{
    this.pixelOffset = pixelOffset;
  }-*/;

  /**
   * The LatLng at which to display this InfoWindow.  If the InfoWindow is
   * opened with an anchor, the anchor's position will be used instead.
   */ 
  public final native void setPosition(LatLng position)/*-{
    this.position = position;
  }-*/;

  /**
   * All InfoWindows are displayed on the map in order of their zIndex,
   * with higher values displaying in front of InfoWindows with lower
   * values. By default, InfoWinodws are displayed according to their
   * latitude, with InfoWindows of lower latitudes appearing in front of
   * InfoWindows at higher latitudes. InfoWindows are always displayed in
   * front of markers.
   */ 
  public final native void setZindex(double zIndex)/*-{
    this.zIndex = zIndex;
  }-*/;

}

