/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * Metadata for a single KML layer, in JSON format.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class KmlLayerMetadata extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected KmlLayerMetadata() {
    /* Java constructor is protected, */
  }

  /**
   * The layer's 
   * <code>&lt;atom:author&gt;</code>
   * 
   * , extracted from the layer markup.
   */ 
  public final native KmlAuthor getAuthor()/*-{
    return this.author;

  }-*/;

  /**
   * The layer's 
   * <code>&lt;description&gt;</code>
   * 
   * , extracted from the layer markup.
   */ 
  public final native String getDescription()/*-{
    return this.description;

  }-*/;

  /**
   * The layer's 
   * <code>&lt;name&gt;</code>
   * 
   * , extracted from the layer markup.
   */ 
  public final native String getName()/*-{
    return this.name;

  }-*/;

  /**
   * The layer's 
   * <code>&lt;Snippet&gt;</code>
   * 
   * , extracted from the layer markup
   */ 
  public final native String getSnippet()/*-{
    return this.snippet;

  }-*/;

  /**
   * The layer's 
   * <code>&lt;atom:author&gt;</code>
   * 
   * , extracted from the layer markup.
   */ 
  public final native void setAuthor(KmlAuthor author)/*-{
    this.author = author;
  }-*/;

  /**
   * The layer's 
   * <code>&lt;description&gt;</code>
   * 
   * , extracted from the layer markup.
   */ 
  public final native void setDescription(String description)/*-{
    this.description = description;
  }-*/;

  /**
   * The layer's 
   * <code>&lt;name&gt;</code>
   * 
   * , extracted from the layer markup.
   */ 
  public final native void setName(String name)/*-{
    this.name = name;
  }-*/;

  /**
   * The layer's 
   * <code>&lt;Snippet&gt;</code>
   * 
   * , extracted from the layer markup
   */ 
  public final native void setSnippet(String snippet)/*-{
    this.snippet = snippet;
  }-*/;

}

