/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * This object defines the properties that can be set on a
 * <code>KmlLayer</code>
 * 
 * object.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class KmlLayerOptions extends LayerOptions {

  public static final KmlLayerOptions create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected KmlLayerOptions() {
    /* Java constructor is protected, */
  }

  /**
   * If true, the layer receives mouse events. Default value is true.
   */ 
  public final native void setClickable(boolean clickable)/*-{
    this.clickable = clickable;
  }-*/;

  /**
   * The map on which to display the layer.
   */ 
  public final native void setMap(GoogleMap map)/*-{
    this.map = map;
  }-*/;

  /**
   * By default, the input map is centered and zoomed to the bounding box
   * of the contents of the layer. If this option is set to
   * <code>true</code>
   * 
   * , the viewport is left unchanged, unless the map's center and zoom were never set.
   */ 
  public final native void setPreserveViewport(boolean preserveViewport)/*-{
    this.preserveViewport = preserveViewport;
  }-*/;

  /**
   * Suppress the rendering of info windows when layer features are clicked.
   */ 
  public final native void setSuppressInfoWindows(boolean suppressInfoWindows)/*-{
    this.suppressInfoWindows = suppressInfoWindows;
  }-*/;

}

