/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArray;

/**
 * An elevation request sent by the 
 * <code>ElevationService</code>
 * 
 * containing the list of discrete coordinates (
 * <code>LatLng</code>
 * 
 * s) for which to return elevation data.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class LocationElevationRequest extends JavaScriptObject {

  public static final LocationElevationRequest create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected LocationElevationRequest() {
    /* Java constructor is protected, */
  }

  /**
   * The discrete locations for which to retrieve elevations.
   */ 
  public final native void setLocations(JsArray<LatLng> locations)/*-{
    this.locations = locations;
  }-*/;

}

