/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * 
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class MVCObject extends JavaScriptObject {

  /**
   * Base class implementing KVO.
   */ 
  public static native MVCObject create()/*-{
    return new $wnd.google.maps.MVCObject();
  }-*/;


  /**
   * Protected constructor avoids default public constructor.
   */
  protected MVCObject() {
    /* Java constructor is protected, */
  }

  /**
   * Binds a View to a Model.
   */ 
  public final native void bindTo(String key, MVCObject target, String targetKey, boolean noNotify)/*-{
    this.bindTo(key, target, targetKey, noNotify);

  }-*/;

  /**
   * Binds a View to a Model.
   */ 
  public final native void bindTo(String key, MVCObject target, String targetKey)/*-{
    this.bindTo(key, target, targetKey);

  }-*/;

  /**
   * Binds a View to a Model.
   */ 
  public final native void bindTo(String key, MVCObject target, boolean noNotify)/*-{
    this.bindTo(key, target, noNotify);

  }-*/;

  /**
   * Binds a View to a Model.
   */ 
  public final native void bindTo(String key, MVCObject target)/*-{
    this.bindTo(key, target);

  }-*/;

  /**
   * Generic handler for state changes. Override this in derived classes
   * to handle arbitrary state changes.
   */ 
  public final native void changed(String key)/*-{
    this.changed(key);

  }-*/;

  /**
   * Gets a value.
   */ 
  public final native JavaScriptObject get(String key)/*-{
    return this.get(key);

  }-*/;

  /**
   * Notify all observers of a change on this property. This notifies both
   * objects that are bound to the object's property as well as the object
   * that it is bound to.
   */ 
  public final native void notify(String key)/*-{
    this.notify(key);

  }-*/;

  /**
   * Sets a value.
   */ 
  public final native void set(String key, JavaScriptObject value)/*-{
    this.set(key, value);

  }-*/;

  /**
   * Sets a collection of key-value pairs.
   */ 
  public final native void setValues(JavaScriptObject values)/*-{
    this.setValues(values);

  }-*/;

  /**
   * Sets a collection of key-value pairs.
   */ 
  public final native void setValues()/*-{
    this.setValues();

  }-*/;

  /**
   * Removes a binding.  Unbinding will set the unbound property to the
   * current value.  The object will not be notified, as the value has not
   * changed.
   */ 
  public final native void unbind(String key)/*-{
    this.unbind(key);

  }-*/;

  /**
   * Removes all bindings.
   */ 
  public final native void unbindAll()/*-{
    this.unbindAll();

  }-*/;

}

