/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;


/**
 * This object is made available to the 
 * <code>OverlayView</code>
 * 
 * from within the draw method.  It is not guaranteed to be initialized
 * until draw is called.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class MapCanvasProjection extends MVCObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected MapCanvasProjection() {
    /* Java constructor is protected, */
  }

  /**
   * Computes the geographical coordinates from pixel coordinates in the
   * map's container.
   */ 
  public final native LatLng fromContainerPixelToLatLng(Point pixel)/*-{
    return this.fromContainerPixelToLatLng(pixel);

  }-*/;

  /**
   * Computes the geographical coordinates from pixel coordinates in the
   * div that holds the draggable map.
   */ 
  public final native LatLng fromDivPixelToLatLng(Point pixel)/*-{
    return this.fromDivPixelToLatLng(pixel);

  }-*/;

  /**
   * Computes the pixel coordinates of the given geographical location in
   * the DOM element the map's outer container.
   */ 
  public final native Point fromLatLngToContainerPixel(LatLng latLng)/*-{
    return this.fromLatLngToContainerPixel(latLng);

  }-*/;

  /**
   * Computes the pixel coordinates of the given geographical location in
   * the DOM element that holds the draggable map.
   */ 
  public final native Point fromLatLngToDivPixel(LatLng latLng)/*-{
    return this.fromLatLngToDivPixel(latLng);

  }-*/;

  /**
   * The width of the world in pixels in the current zoom level. For
   * projections with a heading angle of either 90 or 270 degress, this
   * corresponds to the pixel span in the Y-axis.
   */ 
  public final native double getWorldWidth()/*-{
    return this.getWorldWidth();

  }-*/;

}

