/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * Each 
 * <code>MapTypeStyleElementType</code>
 * 
 * distinguishes between the different representations of a feature.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class MapTypeStyleElementType extends JavaScriptObject {

  /**
   * Apply the rule to all elements of the specified feature.
   */ 
  public static final MapTypeStyleElementType ALL = getAll();

  /**
   * Apply the rule to the feature's geometry.
   */ 
  public static final MapTypeStyleElementType GEOMETRY = getGeometry();

  /**
   * Apply the rule to the feature's labels.
   */ 
  public static final MapTypeStyleElementType LABELS = getLabels();

  /**
   * Internal initialization method.
   */ 
  private static final native MapTypeStyleElementType getAll()/*-{
    return { 'value' : $wnd.google.maps.MapTypeStyleElementType.all };
  }-*/;

  /**
   * Internal initialization method.
   */ 
  private static final native MapTypeStyleElementType getGeometry()/*-{
    return { 'value' : $wnd.google.maps.MapTypeStyleElementType.geometry };
  }-*/;

  /**
   * Internal initialization method.
   */ 
  private static final native MapTypeStyleElementType getLabels()/*-{
    return { 'value' : $wnd.google.maps.MapTypeStyleElementType.labels };
  }-*/;


  /**
   * Protected constructor avoids default public constructor.
   */
  protected MapTypeStyleElementType() {
    /* Java constructor is protected, */
  }

}

