/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * This class is opaque. It has no methods and no constructor. Its
 * instances are returned from addListener(), addDomListener() and are
 * eventually passed back to removeListener().
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class MapsEventListener extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected MapsEventListener() {
    /* Java constructor is protected, */
  }

  /**
   * Removes the given listener, which should have been returned by
   * addListener method on a type that listens for events.
   */ 
  public final native void removeListener()/*-{
    $wnd.google.maps.event.removeListener(this);
  }-*/;

}

