/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * 
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class MarkerImage extends JavaScriptObject {

  /**
   * A structure representing a Marker icon or shadow image.
   */ 
  public static native MarkerImage create(String url, Size size, Point origin, Point anchor, Size scaledSize)/*-{
    return new $wnd.google.maps.MarkerImage(url, size, origin, anchor, scaledSize);
  }-*/;

  /**
   * A structure representing a Marker icon or shadow image.
   */ 
  public static native MarkerImage create(String url, Size size, Point origin, Point anchor)/*-{
    return new $wnd.google.maps.MarkerImage(url, size, origin, anchor);
  }-*/;

  /**
   * A structure representing a Marker icon or shadow image.
   */ 
  public static native MarkerImage create(String url, Size size, Point origin, Size scaledSize)/*-{
    return new $wnd.google.maps.MarkerImage(url, size, origin, scaledSize);
  }-*/;

  /**
   * A structure representing a Marker icon or shadow image.
   */ 
  public static native MarkerImage create(String url, Size size, Point origin)/*-{
    return new $wnd.google.maps.MarkerImage(url, size, origin);
  }-*/;

  /**
   * A structure representing a Marker icon or shadow image.
   */ 
  public static native MarkerImage create(String url, Size size, Size scaledSize)/*-{
    return new $wnd.google.maps.MarkerImage(url, size, scaledSize);
  }-*/;

  /**
   * A structure representing a Marker icon or shadow image.
   */ 
  public static native MarkerImage create(String url, Size size)/*-{
    return new $wnd.google.maps.MarkerImage(url, size);
  }-*/;

  /**
   * A structure representing a Marker icon or shadow image.
   */ 
  public static native MarkerImage create(String url, Point origin, Point anchor, Size scaledSize)/*-{
    return new $wnd.google.maps.MarkerImage(url, origin, anchor, scaledSize);
  }-*/;

  /**
   * A structure representing a Marker icon or shadow image.
   */ 
  public static native MarkerImage create(String url, Point origin, Point anchor)/*-{
    return new $wnd.google.maps.MarkerImage(url, origin, anchor);
  }-*/;

  /**
   * A structure representing a Marker icon or shadow image.
   */ 
  public static native MarkerImage create(String url, Point origin, Size scaledSize)/*-{
    return new $wnd.google.maps.MarkerImage(url, origin, scaledSize);
  }-*/;

  /**
   * A structure representing a Marker icon or shadow image.
   */ 
  public static native MarkerImage create(String url, Point origin)/*-{
    return new $wnd.google.maps.MarkerImage(url, origin);
  }-*/;

  /**
   * A structure representing a Marker icon or shadow image.
   */ 
  public static native MarkerImage create(String url)/*-{
    return new $wnd.google.maps.MarkerImage(url);
  }-*/;


  /**
   * Protected constructor avoids default public constructor.
   */
  protected MarkerImage() {
    /* Java constructor is protected, */
  }

  /**
   * The position at which to anchor an image in correspondance to the
   * location of the marker on the map. By default, the anchor is located
   * along the center point of the bottom of the image.
   */ 
  public final native Point getAnchor()/*-{
    return this.anchor;

  }-*/;

  /**
   * The position of the image within a sprite, if any. By default, the
   * origin is located at the top left corner of the image
   * <code>(0, 0)</code>
   * 
   * .
   */ 
  public final native Point getOrigin()/*-{
    return this.origin;

  }-*/;

  /**
   * The size of the entire image after scaling, if any.  Use this
   * property to stretch/shrink an image or a sprite.
   */ 
  public final native Size getScaledSize()/*-{
    return this.scaledSize;

  }-*/;

  /**
   * The display size of the sprite or image. When using sprites, you must
   * specify the sprite size. If the size is not provided, it will be set
   * when the image loads.
   */ 
  public final native Size getSize()/*-{
    return this.size;

  }-*/;

  /**
   * The URL of the image or sprite sheet.
   */ 
  public final native String getUrl()/*-{
    return this.url;

  }-*/;

  /**
   * The position at which to anchor an image in correspondance to the
   * location of the marker on the map. By default, the anchor is located
   * along the center point of the bottom of the image.
   */ 
  public final native void setAnchor(Point anchor)/*-{
    this.anchor = anchor;
  }-*/;

  /**
   * The position of the image within a sprite, if any. By default, the
   * origin is located at the top left corner of the image
   * <code>(0, 0)</code>
   * 
   * .
   */ 
  public final native void setOrigin(Point origin)/*-{
    this.origin = origin;
  }-*/;

  /**
   * The size of the entire image after scaling, if any.  Use this
   * property to stretch/shrink an image or a sprite.
   */ 
  public final native void setScaledSize(Size scaledSize)/*-{
    this.scaledSize = scaledSize;
  }-*/;

  /**
   * The display size of the sprite or image. When using sprites, you must
   * specify the sprite size. If the size is not provided, it will be set
   * when the image loads.
   */ 
  public final native void setSize(Size size)/*-{
    this.size = size;
  }-*/;

  /**
   * The URL of the image or sprite sheet.
   */ 
  public final native void setUrl(String url)/*-{
    this.url = url;
  }-*/;

}

