/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * This object is returned from various mouse events on the map and
 * overlays, and contains all the fields shown below.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class MouseEvent extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected MouseEvent() {
    /* Java constructor is protected, */
  }

  /**
   * The latitude/longitude that was below the cursor when the event occurred.
   */ 
  public final native LatLng getLatLng()/*-{
    return this.latLng;

  }-*/;

  /**
   * The latitude/longitude that was below the cursor when the event occurred.
   */ 
  public final native void setLatLng(LatLng latLng)/*-{
    this.latLng = latLng;
  }-*/;

  /**
   * Prevents this event from propagating further.
   */ 
  public final native void stop()/*-{
    this.stop();

  }-*/;

}

