/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * 
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class Point extends JavaScriptObject {

  /**
   * A point on a two-dimensional plane.
   */ 
  public static native Point create(double x, double y)/*-{
    return new $wnd.google.maps.Point(x, y);
  }-*/;


  /**
   * Protected constructor avoids default public constructor.
   */
  protected Point() {
    /* Java constructor is protected, */
  }

  /**
   * Compares two Points
   */ 
  public final native boolean equals(Point other)/*-{
    return this.equals(other);

  }-*/;

  /**
   * The X coordinate
   */ 
  public final native double getX()/*-{
    return this.x;

  }-*/;

  /**
   * The Y coordinate
   */ 
  public final native double getY()/*-{
    return this.y;

  }-*/;

  /**
   * The X coordinate
   */ 
  public final native void setX(double x)/*-{
    this.x = x;
  }-*/;

  /**
   * The Y coordinate
   */ 
  public final native void setY(double y)/*-{
    this.y = y;
  }-*/;

}

