/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArray;

/**
 * 
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class PolylineOptions extends JavaScriptObject {

  public static final PolylineOptions create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected PolylineOptions() {
    /* Java constructor is protected, */
  }

  /**
   * Indicates whether this 
   * <code>Polyline</code>
   * 
   * handles
   * <code>click</code>
   * 
   *  events. Defaults to 
   * <code>true</code>
   * 
   * .
   */ 
  public final native void setClickable(boolean clickable)/*-{
    this.clickable = clickable;
  }-*/;

  /**
   * If set to true, the user can edit this shape by dragging the control
   * points shown at the vertices and on each segment. Defaults to
   * <code>false</code>
   * 
   * .
   */ 
  public final native void setEditable(boolean editable)/*-{
    this.editable = editable;
  }-*/;

  /**
   * When true, render each edge as a geodesic (a segment of a "great
   * circle"). A geodesic is the shortest path between two points along
   * the surface of the Earth. When false, render each edge as a straight
   * line on screen. Defaults to
   * <code>false</code>
   * 
   * .
   */ 
  public final native void setGeodesic(boolean geodesic)/*-{
    this.geodesic = geodesic;
  }-*/;

  /**
   * Map on which to display Polyline.
   */ 
  public final native void setMap(GoogleMap map)/*-{
    this.map = map;
  }-*/;

  /**
   * The ordered sequence of coordinates of the Polyline.  This path may
   * be specified using either a simple array of
   * <code>LatLng</code>
   * 
   * s, or an 
   * <code>MVCArray</code>
   * 
   *  of 
   * <code>LatLng</code>
   * 
   * s.  Note that if you pass a simple array, it will be converted to an 
   * <code>MVCArray</code>
   * 
   * Inserting or removing LatLngs in the 
   * <code>MVCArray</code>
   * 
   * will automatically update the polyline on the map.
   */ 
  public final native void setPath(MVCArray<LatLng> path)/*-{
    this.path = path;
  }-*/;

  /**
   * The ordered sequence of coordinates of the Polyline.  This path may
   * be specified using either a simple array of
   * <code>LatLng</code>
   * 
   * s, or an 
   * <code>MVCArray</code>
   * 
   *  of 
   * <code>LatLng</code>
   * 
   * s.  Note that if you pass a simple array, it will be converted to an 
   * <code>MVCArray</code>
   * 
   * Inserting or removing LatLngs in the 
   * <code>MVCArray</code>
   * 
   * will automatically update the polyline on the map.
   */ 
  public final native void setPath(JsArray<LatLng> path)/*-{
    this.path = path;
  }-*/;

  /**
   * The stroke color. All CSS3 colors are supported except for extended named colors.
   */ 
  public final native void setStrokeColor(String strokeColor)/*-{
    this.strokeColor = strokeColor;
  }-*/;

  /**
   * The stroke opacity between 0.0 and 1.0
   */ 
  public final native void setStrokeOpacity(double strokeOpacity)/*-{
    this.strokeOpacity = strokeOpacity;
  }-*/;

  /**
   * The stroke width in pixels.
   */ 
  public final native void setStrokeWeight(double strokeWeight)/*-{
    this.strokeWeight = strokeWeight;
  }-*/;

  /**
   * Whether this polyline is visible on the map. Defaults to
   * <code>true</code>
   * 
   * .
   */ 
  public final native void setVisible(boolean visible)/*-{
    this.visible = visible;
  }-*/;

  /**
   * The zIndex compared to other polys.
   */ 
  public final native void setZindex(double zIndex)/*-{
    this.zIndex = zIndex;
  }-*/;

}

