/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * 
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class Projection extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected Projection() {
    /* Java constructor is protected, */
  }

  /**
   * Translates from the LatLng cylinder to the Point plane. This
   * interface specifies a function which implements translation from
   * given
   * <code>LatLng</code>
   * 
   * values to world coordinates on the map projection. The Maps API calls
   * this method when it needs to plot locations on screen.
   * <code>Projection</code>
   * 
   * objects must implement this method.
   */ 
  public final native Point fromLatLngToPoint(LatLng latLng, Point point)/*-{
    return this.fromLatLngToPoint(latLng, point);

  }-*/;

  /**
   * Translates from the LatLng cylinder to the Point plane. This
   * interface specifies a function which implements translation from
   * given
   * <code>LatLng</code>
   * 
   * values to world coordinates on the map projection. The Maps API calls
   * this method when it needs to plot locations on screen.
   * <code>Projection</code>
   * 
   * objects must implement this method.
   */ 
  public final native Point fromLatLngToPoint(LatLng latLng)/*-{
    return this.fromLatLngToPoint(latLng);

  }-*/;

  /**
   * This interface specifies a function which implements translation from
   * world coordinates on a map projection to
   * <code>LatLng</code>
   * 
   * values. The Maps API calls this method when it needs to translate
   * actions on screen to positions on the map.
   * <code>Projection</code>
   * 
   * objects must implement this method.
   */ 
  public final native LatLng fromPointToLatLng(Point pixel, boolean nowrap)/*-{
    return this.fromPointToLatLng(pixel, nowrap);

  }-*/;

  /**
   * This interface specifies a function which implements translation from
   * world coordinates on a map projection to
   * <code>LatLng</code>
   * 
   * values. The Maps API calls this method when it needs to translate
   * actions on screen to positions on the map.
   * <code>Projection</code>
   * 
   * objects must implement this method.
   */ 
  public final native LatLng fromPointToLatLng(Point pixel)/*-{
    return this.fromPointToLatLng(pixel);

  }-*/;

}

