/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * Options for the rendering of the rotate control.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class RotateControlOptions extends JavaScriptObject {

  public static final RotateControlOptions create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected RotateControlOptions() {
    /* Java constructor is protected, */
  }

  /**
   * Position id. Used to specify the position of the control on the map.
   * The default position is
   * <code>TOP_LEFT</code>
   * 
   * .
   */ 
  public final native void setPosition(ControlPosition position)/*-{
    var _position = position == undefined ? null : position.value; 
    this.position = _position;
  }-*/;

}

