/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * 
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class Size extends JavaScriptObject {

  /**
   * Two-dimensonal size, where width is the distance on the x-axis, and
   * height is the distance on the y-axis.
   */ 
  public static native Size create(double width, double height, String widthUnit, String heightUnit)/*-{
    return new $wnd.google.maps.Size(width, height, widthUnit, heightUnit);
  }-*/;

  /**
   * Two-dimensonal size, where width is the distance on the x-axis, and
   * height is the distance on the y-axis.
   */ 
  public static native Size create(double width, double height, String widthUnit)/*-{
    return new $wnd.google.maps.Size(width, height, widthUnit);
  }-*/;

  /**
   * Two-dimensonal size, where width is the distance on the x-axis, and
   * height is the distance on the y-axis.
   */ 
  public static native Size create(double width, double height)/*-{
    return new $wnd.google.maps.Size(width, height);
  }-*/;


  /**
   * Protected constructor avoids default public constructor.
   */
  protected Size() {
    /* Java constructor is protected, */
  }

  /**
   * Compares two Sizes.
   */ 
  public final native boolean equals(Size other)/*-{
    return this.equals(other);

  }-*/;

  /**
   * The height along the y-axis, in pixels.
   */ 
  public final native double getHeight()/*-{
    return this.height;

  }-*/;

  /**
   * The width along the x-axis, in pixels.
   */ 
  public final native double getWidth()/*-{
    return this.width;

  }-*/;

  /**
   * The height along the y-axis, in pixels.
   */ 
  public final native void setHeight(double height)/*-{
    this.height = height;
  }-*/;

  /**
   * The width along the x-axis, in pixels.
   */ 
  public final native void setWidth(double width)/*-{
    this.width = width;
  }-*/;

}

