/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * A collection of references to adjacent Street View panos.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class StreetViewLink extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected StreetViewLink() {
    /* Java constructor is protected, */
  }

  /**
   * A localized string describing the link.
   */ 
  public final native String getDescription()/*-{
    return this.description;

  }-*/;

  /**
   * The heading of the link.
   */ 
  public final native double getHeading()/*-{
    return this.heading;

  }-*/;

  /**
   * A unique identifier for the panorama. This id is stable within a
   * session but unstable across sessions.
   */ 
  public final native String getPano()/*-{
    return this.pano;

  }-*/;

  /**
   * A localized string describing the link.
   */ 
  public final native void setDescription(String description)/*-{
    this.description = description;
  }-*/;

  /**
   * The heading of the link.
   */ 
  public final native void setHeading(double heading)/*-{
    this.heading = heading;
  }-*/;

  /**
   * A unique identifier for the panorama. This id is stable within a
   * session but unstable across sessions.
   */ 
  public final native void setPano(String pano)/*-{
    this.pano = pano;
  }-*/;

}

