/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * A representation of a location in the Street View panorama.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class StreetViewLocation extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected StreetViewLocation() {
    /* Java constructor is protected, */
  }

  /**
   * A localized string describing the location.
   */ 
  public final native String getDescription()/*-{
    return this.description;

  }-*/;

  /**
   * The latlng of the panorama.
   */ 
  public final native LatLng getLatLng()/*-{
    return this.latLng;

  }-*/;

  /**
   * A unique identifier for the panorama. This is stable within a session
   * but unstable across sessions.
   */ 
  public final native String getPano()/*-{
    return this.pano;

  }-*/;

  /**
   * A localized string describing the location.
   */ 
  public final native void setDescription(String description)/*-{
    this.description = description;
  }-*/;

  /**
   * The latlng of the panorama.
   */ 
  public final native void setLatLng(LatLng latLng)/*-{
    this.latLng = latLng;
  }-*/;

  /**
   * A unique identifier for the panorama. This is stable within a session
   * but unstable across sessions.
   */ 
  public final native void setPano(String pano)/*-{
    this.pano = pano;
  }-*/;

}

