/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArray;

/**
 * The representation of a panorama returned from the provider defined using 
 * <code>registerPanoProvider</code>
 * 
 * .
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class StreetViewPanoramaData extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected StreetViewPanoramaData() {
    /* Java constructor is protected, */
  }

  /**
   * Specifies the copyright text for this panorama.
   */ 
  public final native String getCopyright()/*-{
    return this.copyright;

  }-*/;

  /**
   * Specifies the year and month in which the imagery in this panorama
   * was acquired. The date string is in the form YYYY-MM.
   */ 
  public final native String getImageDate()/*-{
    return this.imageDate;

  }-*/;

  /**
   * Specifies the navigational links to adjacent panoramas.
   */ 
  public final native JsArray<StreetViewLink> getLinks()/*-{
    return this.links;

  }-*/;

  /**
   * Specifies the location meta-data for this panorama.
   */ 
  public final native StreetViewLocation getLocation()/*-{
    return this.location;

  }-*/;

  /**
   * Specifies the custom tiles for this panorama.
   */ 
  public final native StreetViewTileData getTiles()/*-{
    return this.tiles;

  }-*/;

  /**
   * Specifies the copyright text for this panorama.
   */ 
  public final native void setCopyright(String copyright)/*-{
    this.copyright = copyright;
  }-*/;

  /**
   * Specifies the year and month in which the imagery in this panorama
   * was acquired. The date string is in the form YYYY-MM.
   */ 
  public final native void setImageDate(String imageDate)/*-{
    this.imageDate = imageDate;
  }-*/;

  /**
   * Specifies the navigational links to adjacent panoramas.
   */ 
  public final native void setLinks(JsArray<StreetViewLink> links)/*-{
    this.links = links;
  }-*/;

  /**
   * Specifies the location meta-data for this panorama.
   */ 
  public final native void setLocation(StreetViewLocation location)/*-{
    this.location = location;
  }-*/;

  /**
   * Specifies the custom tiles for this panorama.
   */ 
  public final native void setTiles(StreetViewTileData tiles)/*-{
    this.tiles = tiles;
  }-*/;

}

