/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * A point of view object which specifies the camera's orientation at
 * the Street View panorama's position.  The point of view is defined as
 * heading, pitch and zoom.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class StreetViewPov extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected StreetViewPov() {
    /* Java constructor is protected, */
  }

  /**
   * The camera heading in degrees relative to true north. True north is
   * 0&deg;, east is 90&deg;, south is 180&deg;, west is 270&deg;.
   */ 
  public final native double getHeading()/*-{
    return this.heading;

  }-*/;

  /**
   * The camera pitch in degrees, relative to the street view vehicle.
   * Ranges from 90&deg; (directly upwards) to -90&deg; (directly
   * downwards).
   */ 
  public final native double getPitch()/*-{
    return this.pitch;

  }-*/;

  /**
   * The zoom level. Fully zoomed-out is level 0, zooming in increases the zoom level.
   */ 
  public final native double getZoom()/*-{
    return this.zoom;

  }-*/;

  /**
   * The camera heading in degrees relative to true north. True north is
   * 0&deg;, east is 90&deg;, south is 180&deg;, west is 270&deg;.
   */ 
  public final native void setHeading(double heading)/*-{
    this.heading = heading;
  }-*/;

  /**
   * The camera pitch in degrees, relative to the street view vehicle.
   * Ranges from 90&deg; (directly upwards) to -90&deg; (directly
   * downwards).
   */ 
  public final native void setPitch(double pitch)/*-{
    this.pitch = pitch;
  }-*/;

  /**
   * The zoom level. Fully zoomed-out is level 0, zooming in increases the zoom level.
   */ 
  public final native void setZoom(double zoom)/*-{
    this.zoom = zoom;
  }-*/;

}

