/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArray;

/**
 * Creates a 
 * <code>MapType</code>
 * 
 * with a custom style.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class StyledMapType extends JavaScriptObject {

  /**
   * Creates a styled 
   * <code>MapType</code>
   * 
   * with the specified options. The 
   * <code>StyledMapType</code>
   * 
   *  takes an array of 
   * <code>MapTypeStyle</code>
   * 
   * s, where each 
   * <code>MapTypeStyle</code>
   * 
   * is applied to the map consecutively. A later 
   * <code>MapTypeStyle</code>
   * 
   * that applies the same
   * <code>MapTypeStyler</code>
   * 
   * s to the same selectors as an earlier 
   * <code>MapTypeStyle</code>
   * 
   * will override the earlier
   * <code>MapTypeStyle</code>
   * 
   * .
   */ 
  public static native StyledMapType create(JsArray<MapTypeStyle> styles, StyledMapTypeOptions options)/*-{
    var _options;
    if(@com.google.gwt.core.client.GWT::isScript()()) {
      _options = options;
    } else {
      _options = {};
      for(k in options) {
        if(k != "__gwt_ObjectId") {
          _options[k] = options[k];
        }
      }
    } 
    return new $wnd.google.maps.StyledMapType(styles, _options);
  }-*/;

  /**
   * Creates a styled 
   * <code>MapType</code>
   * 
   * with the specified options. The 
   * <code>StyledMapType</code>
   * 
   *  takes an array of 
   * <code>MapTypeStyle</code>
   * 
   * s, where each 
   * <code>MapTypeStyle</code>
   * 
   * is applied to the map consecutively. A later 
   * <code>MapTypeStyle</code>
   * 
   * that applies the same
   * <code>MapTypeStyler</code>
   * 
   * s to the same selectors as an earlier 
   * <code>MapTypeStyle</code>
   * 
   * will override the earlier
   * <code>MapTypeStyle</code>
   * 
   * .
   */ 
  public static native StyledMapType create(JsArray<MapTypeStyle> styles)/*-{
    return new $wnd.google.maps.StyledMapType(styles);
  }-*/;


  /**
   * Protected constructor avoids default public constructor.
   */
  protected StyledMapType() {
    /* Java constructor is protected, */
  }

}

