/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * This class is used to specify options when creating a
 * <code>StyledMapType</code>
 * 
 * . These options cannot be changed after the
 * <code>StyledMapType</code>
 * 
 * is instantiated.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class StyledMapTypeOptions extends JavaScriptObject {

  public static final StyledMapTypeOptions create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected StyledMapTypeOptions() {
    /* Java constructor is protected, */
  }

  /**
   * Text to display when this 
   * <code>MapType</code>
   * 
   * 's button is hovered over in the map type control.
   */ 
  public final native void setAlt(String alt)/*-{
    this.alt = alt;
  }-*/;

  /**
   * The maximum zoom level for the map when displaying this
   * <code>MapType</code>
   * 
   * . Optional.
   */ 
  public final native void setMaxZoom(double maxZoom)/*-{
    this.maxZoom = maxZoom;
  }-*/;

  /**
   * The minimum zoom level for the map when displaying this
   * <code>MapType</code>
   * 
   * . Optional.
   */ 
  public final native void setMinZoom(double minZoom)/*-{
    this.minZoom = minZoom;
  }-*/;

  /**
   * The name to display in the map type control.
   */ 
  public final native void setName(String name)/*-{
    this.name = name;
  }-*/;

}

