/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.adsense;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.maps.gwt.client.ControlPosition;
import com.google.maps.gwt.client.GoogleMap;

/**
 * 
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class AdUnitOptions extends JavaScriptObject {

  public static final AdUnitOptions create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected AdUnitOptions() {
    /* Java constructor is protected, */
  }

  /**
   * The AdSense For Content channel number for tracking the performance of this 
   * <code>AdUnit</code>
   * 
   * . It must be stored as a string as it will typically be a large UINT64. (Optional)
   */ 
  public final native void setChannelNumber(String channelNumber)/*-{
    this.channelNumber = channelNumber;
  }-*/;

  /**
   * the Format of the 
   * <code>AdUnit</code>
   * 
   * . See <a href="https://google.com/adsense/adformats">https://google.com/adsense/adformats</a>.
   * (Optional)
   */ 
  public final native void setFormat(AdFormat format)/*-{
    var _format = format == undefined ? null : format.value; 
    this.format = _format;
  }-*/;

  /**
   * The map associated with this 
   * <code>AdUnit</code>
   * 
   * . Ads will be targeted to the location the map's viewport. (Required)
   */ 
  public final native void setMap(GoogleMap map)/*-{
    this.map = map;
  }-*/;

  /**
   * The position of the 
   * <code>AdUnit</code>
   * 
   * .  If specified, the
   * <code>AdUnit</code>
   * 
   * will be displayed at this position.  Otherwise, it will not be added
   * to the map. (Optional)
   */ 
  public final native void setPosition(ControlPosition position)/*-{
    var _position = position == undefined ? null : position.value; 
    this.position = _position;
  }-*/;

  /**
   * Your AdSense for Content publisher ID.  Required and must be set at
   * the time of initialization. (Required)
   */ 
  public final native void setPublisherId(String publisherId)/*-{
    this.publisherId = publisherId;
  }-*/;

}

