/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.drawing;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArray;
import com.google.maps.gwt.client.ControlPosition;

/**
 * Options for the rendering of the drawing control.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class DrawingControlOptions extends JavaScriptObject {

  public static final DrawingControlOptions create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected DrawingControlOptions() {
    /* Java constructor is protected, */
  }

  /**
   * The drawing modes to display in the drawing control, in the order in
   * which they are to be displayed. The hand icon (which corresponds to
   * the null drawing mode) is always available and is not to be specified
   * in this array. Defaults to
   * <code>[MARKER, POLYLINE, RECTANGLE, CIRCLE, POLYGON]</code>
   * 
   * .
   */ 
  public final native void setDrawingModes(JsArray<OverlayType> drawingModes)/*-{
    this.drawingModes = drawingModes;
  }-*/;

  /**
   * Position id. Used to specify the position of the control on the map.
   * The default position is
   * <code>TOP_LEFT</code>
   * 
   * .
   */ 
  public final native void setPosition(ControlPosition position)/*-{
    var _position = position == undefined ? null : position.value; 
    this.position = _position;
  }-*/;

}

