/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.drawing;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * The properties of an overlaycomplete event on a
 * <code>DrawingManager</code>
 * 
 * .
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class OverlayCompleteEvent extends JavaScriptObject {

  public static final OverlayCompleteEvent create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected OverlayCompleteEvent() {
    /* Java constructor is protected, */
  }

  /**
   * The completed overlay's type.
   */ 
  public final native OverlayType getType()/*-{
    var _retval = this.type;
    var retval = (_retval == undefined) ?
        null : @com.google.maps.gwt.client.drawing.OverlayType::fromValue(Ljava/lang/String;)(_retval);
    return retval;
  }-*/;

}

