/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.geometry;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArray;
import com.google.maps.gwt.client.LatLng;
import com.google.maps.gwt.client.MVCArray;

/**
 * Utilities for polyline encoding and decoding.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class Encoding extends JavaScriptObject {

  /**
   * Decodes an encoded path string into a sequence of LatLngs.
   */ 
  public static final native JsArray<LatLng> decodePath(String encodedPath)/*-{
    return $wnd.google.maps.geometry.encoding.decodePath(encodedPath);

  }-*/;

  /**
   * Encodes a sequence of LatLngs into an encoded path string.
   */ 
  public static final native String encodePath(JsArray<LatLng> path)/*-{
    return $wnd.google.maps.geometry.encoding.encodePath(path);

  }-*/;

  /**
   * Encodes a sequence of LatLngs into an encoded path string.
   */ 
  public static final native String encodePath(MVCArray<LatLng> path)/*-{
    return $wnd.google.maps.geometry.encoding.encodePath(path);

  }-*/;


  /**
   * Protected constructor avoids default public constructor.
   */
  protected Encoding() {
    /* Java constructor is protected, */
  }

}

