/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.geometry;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.maps.gwt.client.LatLng;
import com.google.maps.gwt.client.Polygon;
import com.google.maps.gwt.client.Polyline;

/**
 * Utility functions for computations involving polygons and polylines.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class Poly extends JavaScriptObject {

  /**
   * Computes whether the given point lies inside the specified polygon.
   */ 
  public static final native boolean containsLocation(LatLng point, Polygon polygon)/*-{
    return $wnd.google.maps.geometry.poly.containsLocation(point, polygon);

  }-*/;

  /**
   * Computes whether the given point lies on or near to a polyline, or
   * the edge of a polygon, within a specified tolerance.
   */ 
  public static final native boolean isLocationOnEdge(LatLng point, Polygon poly, double tolerance)/*-{
    return $wnd.google.maps.geometry.poly.isLocationOnEdge(point, poly, tolerance);

  }-*/;

  /**
   * Computes whether the given point lies on or near to a polyline, or
   * the edge of a polygon, within a specified tolerance.
   */ 
  public static final native boolean isLocationOnEdge(LatLng point, Polygon poly)/*-{
    return $wnd.google.maps.geometry.poly.isLocationOnEdge(point, poly);

  }-*/;

  /**
   * Computes whether the given point lies on or near to a polyline, or
   * the edge of a polygon, within a specified tolerance.
   */ 
  public static final native boolean isLocationOnEdge(LatLng point, Polyline poly, double tolerance)/*-{
    return $wnd.google.maps.geometry.poly.isLocationOnEdge(point, poly, tolerance);

  }-*/;

  /**
   * Computes whether the given point lies on or near to a polyline, or
   * the edge of a polygon, within a specified tolerance.
   */ 
  public static final native boolean isLocationOnEdge(LatLng point, Polyline poly)/*-{
    return $wnd.google.maps.geometry.poly.isLocationOnEdge(point, poly);

  }-*/;


  /**
   * Protected constructor avoids default public constructor.
   */
  protected Poly() {
    /* Java constructor is protected, */
  }

}

