/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.panoramio;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * Describes a single Panoramio feature.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class PanoramioFeature extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected PanoramioFeature() {
    /* Java constructor is protected, */
  }

  /**
   * The username of the user who uploaded this photo.
   */ 
  public final native String getAuthor()/*-{
    return this.author;

  }-*/;

  /**
   * The unique identifier for this photo, as used in the Panoramio API
   * (see <a href="http://www.panoramio.com/api/widget/api.html">http://www.panoramio.com/api/widget/api.
   * html</a>).
   */ 
  public final native String getPhotoId()/*-{
    return this.photoId;

  }-*/;

  /**
   * The title of the photo.
   */ 
  public final native String getTitle()/*-{
    return this.title;

  }-*/;

  /**
   * The URL of the photo.
   */ 
  public final native String getUrl()/*-{
    return this.url;

  }-*/;

  /**
   * The unique identifier for the user who uploaded this photo, as used
   * in the Panoramio API (see <a href="http://www.panoramio.com/api/widget/api.html">http://www.panorami
   * o.com/api/widget/api.html</a>).
   */ 
  public final native String getUserId()/*-{
    return this.userId;

  }-*/;

  /**
   * The username of the user who uploaded this photo.
   */ 
  public final native void setAuthor(String author)/*-{
    this.author = author;
  }-*/;

  /**
   * The unique identifier for this photo, as used in the Panoramio API
   * (see <a href="http://www.panoramio.com/api/widget/api.html">http://www.panoramio.com/api/widget/api.
   * html</a>).
   */ 
  public final native void setPhotoId(String photoId)/*-{
    this.photoId = photoId;
  }-*/;

  /**
   * The title of the photo.
   */ 
  public final native void setTitle(String title)/*-{
    this.title = title;
  }-*/;

  /**
   * The URL of the photo.
   */ 
  public final native void setUrl(String url)/*-{
    this.url = url;
  }-*/;

  /**
   * The unique identifier for the user who uploaded this photo, as used
   * in the Panoramio API (see <a href="http://www.panoramio.com/api/widget/api.html">http://www.panorami
   * o.com/api/widget/api.html</a>).
   */ 
  public final native void setUserId(String userId)/*-{
    this.userId = userId;
  }-*/;

}

