/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.panoramio;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.maps.gwt.client.GoogleMap;
import com.google.maps.gwt.client.LayerOptions;

/**
 * This object defines the properties that can be set on a
 * <code>PanoramioLayer</code>
 * 
 * object.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class PanoramioLayerOptions extends LayerOptions {

  public static final PanoramioLayerOptions create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected PanoramioLayerOptions() {
    /* Java constructor is protected, */
  }

  /**
   * If true, the layer receives mouse events. Default value is
   * <code>true</code>
   * 
   * .
   */ 
  public final native void setClickable(boolean clickable)/*-{
    this.clickable = clickable;
  }-*/;

  /**
   * The map on which to display the layer.
   */ 
  public final native void setMap(GoogleMap map)/*-{
    this.map = map;
  }-*/;

  /**
   * Suppress the rendering of info windows when layer features are clicked.
   */ 
  public final native void setSuppressInfoWindows(boolean suppressInfoWindows)/*-{
    this.suppressInfoWindows = suppressInfoWindows;
  }-*/;

  /**
   * A panoramio tag used to filter the photos which are displayed. Only
   * photos which have been tagged with the supplied string will be shown.
   */ 
  public final native void setTag(String tag)/*-{
    this.tag = tag;
  }-*/;

  /**
   * A Panoramio user ID. If provided, only photos by this user will be
   * displayed on the map. If both a tag and user ID are provided, the tag
   * will take precedence.
   */ 
  public final native void setUserId(String userId)/*-{
    this.userId = userId;
  }-*/;

}

