/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.places;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArrayString;
import com.google.maps.gwt.client.LatLngBounds;

/**
 * The options that can be set on an 
 * <code>Autocomplete</code>
 * 
 * object.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class AutocompleteOptions extends JavaScriptObject {

  public static final AutocompleteOptions create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected AutocompleteOptions() {
    /* Java constructor is protected, */
  }

  /**
   * The area in which to search for places. Results are biased towards,
   * but not restricted to, places contained within these bounds.
   */ 
  public final native void setBounds(LatLngBounds bounds)/*-{
    this.bounds = bounds;
  }-*/;

  /**
   * The types of predictions to be returned. Supported types are '
   * <code>establishment</code>
   * 
   * ' for businesses and '
   * <code>geocode</code>
   * 
   * ' for addresses. If neither is specified, both types are returned.
   */ 
  public final native void setTypes(JsArrayString types)/*-{
    this.types = types;
  }-*/;

}

