/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.places;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * An Event details request to be sent to the 
 * <code>EventsService</code>
 * 
 * .
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class EventDetailsRequest extends JavaScriptObject {

  public static final EventDetailsRequest create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected EventDetailsRequest() {
    /* Java constructor is protected, */
  }

  /**
   * The event's id.
   */ 
  public final native void setEventId(String event_id)/*-{
    this.event_id = event_id;
  }-*/;

  /**
   * A reference to the place where the event is happening.
   */ 
  public final native void setReference(String reference)/*-{
    this.reference = reference;
  }-*/;

}

