/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.places;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.dom.client.DivElement;
import com.google.maps.gwt.client.GoogleMap;

/**
 * Contains methods related to retrieving Events details.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class EventsService extends JavaScriptObject {

  /**
   * Creates a new instance of the 
   * <code>EventsService</code>
   * 
   * .
   */ 
  public static native EventsService create(DivElement attrContainer)/*-{
    return new $wnd.google.maps.places.EventsService(attrContainer);
  }-*/;

  /**
   * Creates a new instance of the 
   * <code>EventsService</code>
   * 
   * .
   */ 
  public static native EventsService create(GoogleMap attrContainer)/*-{
    return new $wnd.google.maps.places.EventsService(attrContainer);
  }-*/;


  /**
   * Protected constructor avoids default public constructor.
   */
  protected EventsService() {
    /* Java constructor is protected, */
  }

}

