/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.places;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.maps.gwt.client.LatLng;
import com.google.maps.gwt.client.LatLngBounds;

/**
 * Defines information about the geometry of a Place.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class PlaceGeometry extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected PlaceGeometry() {
    /* Java constructor is protected, */
  }

  /**
   * The Place's position.
   */ 
  public final native LatLng getLocation()/*-{
    return this.location;

  }-*/;

  /**
   * The preferred viewport when displaying this Place on a map. This
   * property will be null if the preferred viewport for the Place is not
   * known.
   */ 
  public final native LatLngBounds getViewport()/*-{
    return this.viewport;

  }-*/;

  /**
   * The Place's position.
   */ 
  public final native void setLocation(LatLng location)/*-{
    this.location = location;
  }-*/;

  /**
   * The preferred viewport when displaying this Place on a map. This
   * property will be null if the preferred viewport for the Place is not
   * known.
   */ 
  public final native void setViewport(LatLngBounds viewport)/*-{
    this.viewport = viewport;
  }-*/;

}

