/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.visualization;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.maps.gwt.client.LatLng;
import com.google.maps.gwt.client.Size;

/**
 * The properties of a mouse event on a 
 * <code>DemographicsLayer</code>
 * 
 * .
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class DemographicsMouseEvent extends JavaScriptObject {

  public static final DemographicsMouseEvent create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected DemographicsMouseEvent() {
    /* Java constructor is protected, */
  }

  /**
   * An object containing demographics about the clicked region.
   */ 
  public final native JavaScriptObject getFeatureDetails()/*-{
    return this.featureDetails;

  }-*/;

  /**
   * Pre-rendered HTML content to display within a region's
   * <code>InfoWindow</code>
   * 
   * when clicked.
   */ 
  public final native String getInfoWindowHtml()/*-{
    return this.infoWindowHtml;

  }-*/;

  /**
   * The position at which to anchor an info window on the clicked region.
   */ 
  public final native LatLng getLatLng()/*-{
    return this.latLng;

  }-*/;

  /**
   * The offset to apply to an info window anchored on the clicked region.
   */ 
  public final native Size getPixelOffset()/*-{
    return this.pixelOffset;

  }-*/;

}

