/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.visualization;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * Options which control the appearance of polygons in a
 * <code>DemographicsLayer</code>
 * 
 * .
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class DemographicsPolygonOptions extends JavaScriptObject {

  public static final DemographicsPolygonOptions create(){
    return JavaScriptObject.createObject().cast();
  }


  /**
   * Protected constructor avoids default public constructor.
   */
  protected DemographicsPolygonOptions() {
    /* Java constructor is protected, */
  }

  /**
   * The fill color, defined by a six-digit hexadecimal number in #RRGGBB format (e.g. 
   * <code>#00AAFF</code>
   * 
   * ).
   */ 
  public final native void setFillColor(String fillColor)/*-{
    this.fillColor = fillColor;
  }-*/;

  /**
   * Advanced styling for fillColor.
   */ 
  public final native void setFillColorStyle(DemographicsPropertyStyle fillColorStyle)/*-{
    this.fillColorStyle = fillColorStyle;
  }-*/;

  /**
   * The fill opacity between 0.0 and 1.0.
   */ 
  public final native void setFillOpacity(double fillOpacity)/*-{
    this.fillOpacity = fillOpacity;
  }-*/;

  /**
   * Advanced styling for fillOpacity.
   */ 
  public final native void setFillOpacityStyle(DemographicsPropertyStyle fillOpacityStyle)/*-{
    this.fillOpacityStyle = fillOpacityStyle;
  }-*/;

  /**
   * The fill color, defined by a six-digit hexadecimal number in #RRGGBB format (e.g. 
   * <code>#00AAFF</code>
   * 
   * ).
   */ 
  public final native void setStrokeColor(String strokeColor)/*-{
    this.strokeColor = strokeColor;
  }-*/;

  /**
   * Advanced styling for strokeColor.
   */ 
  public final native void setStrokeColorStyle(DemographicsPropertyStyle strokeColorStyle)/*-{
    this.strokeColorStyle = strokeColorStyle;
  }-*/;

  /**
   * The stroke opacity between 0.0 and 1.0.
   */ 
  public final native void setStrokeOpacity(double strokeOpacity)/*-{
    this.strokeOpacity = strokeOpacity;
  }-*/;

  /**
   * Advanced styling for strokeOpacity.
   */ 
  public final native void setStrokeOpacityStyle(DemographicsPropertyStyle strokeOpacityStyle)/*-{
    this.strokeOpacityStyle = strokeOpacityStyle;
  }-*/;

  /**
   * The stroke width in pixels, between 0 and 10.
   */ 
  public final native void setStrokeWeight(double strokeWeight)/*-{
    this.strokeWeight = strokeWeight;
  }-*/;

}

