/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.visualization;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArray;

/**
 * Advanced styling for color fields in the
 * <code>DemographicsLayer</code>
 * 
 * .
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class DemographicsPropertyStyle extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected DemographicsPropertyStyle() {
    /* Java constructor is protected, */
  }

  /**
   * The expression used to determine the value that determines how to style a region.
   */ 
  public final native String getExpression()/*-{
    return this.expression;

  }-*/;

  /**
   * The sequence of colors that are mapped to the range of values for selected regions.
   */ 
  public final native JsArray getGradient()/*-{
    return this.gradient;

  }-*/;

  /**
   * The maximum of the range of expression values across which the
   * gradient of colors is mapped.
   */ 
  public final native double getMax()/*-{
    return this.max;

  }-*/;

  /**
   * The minimum of the range of expression values across which the
   * gradient of colors is mapped.
   */ 
  public final native double getMin()/*-{
    return this.min;

  }-*/;

  /**
   * The expression used to determine the value that determines how to style a region.
   */ 
  public final native void setExpression(String expression)/*-{
    this.expression = expression;
  }-*/;

  /**
   * The sequence of colors that are mapped to the range of values for selected regions.
   */ 
  public final native void setGradient(JsArray gradient)/*-{
    this.gradient = gradient;
  }-*/;

  /**
   * The maximum of the range of expression values across which the
   * gradient of colors is mapped.
   */ 
  public final native void setMax(double max)/*-{
    this.max = max;
  }-*/;

  /**
   * The minimum of the range of expression values across which the
   * gradient of colors is mapped.
   */ 
  public final native void setMin(double min)/*-{
    this.min = min;
  }-*/;

}

