/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.visualization;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * This object defines the properties that determine which regions are
 * shown by a DemographicsLayer.
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class DemographicsQuery extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected DemographicsQuery() {
    /* Java constructor is protected, */
  }

  /**
   * The data set to display.
   */ 
  public final native String getFrom()/*-{
    return this.from;

  }-*/;

  /**
   * Expression to define the regions to show.
   */ 
  public final native String getWhere()/*-{
    return this.where;

  }-*/;

  /**
   * The data set to display.
   */ 
  public final native void setFrom(String from)/*-{
    this.from = from;
  }-*/;

  /**
   * Expression to define the regions to show.
   */ 
  public final native void setWhere(String where)/*-{
    this.where = where;
  }-*/;

}

