/*
 * Copyright 2011 The Google Web Toolkit Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.maps.gwt.client.visualization;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * Defines the styling of a set of regions shown by a     
 * <code>DemographicsLayer</code>
 * 
 * .
 *
 * THIS SOURCE CODE IS GENERATED, DO NOT MODIFY
 */
public class DemographicsStyle extends JavaScriptObject {


  /**
   * Protected constructor avoids default public constructor.
   */
  protected DemographicsStyle() {
    /* Java constructor is protected, */
  }

  /**
   * Defines the styling applied to the region polygons selected by this styling rule.
   */ 
  public final native DemographicsPolygonOptions getPolygonOptions()/*-{
    var _retval = this.polygonOptions;
    var retval = _retval;
    return retval;
  }-*/;

  /**
   * Expression that defines the regions to which this style rule applies.
   */ 
  public final native String getWhere()/*-{
    return this.where;

  }-*/;

  /**
   * Defines the styling applied to the region polygons selected by this styling rule.
   */ 
  public final native void setPolygonOptions(DemographicsPolygonOptions polygonOptions)/*-{
    var _polygonOptions;
    if(@com.google.gwt.core.client.GWT::isScript()()) {
      _polygonOptions = polygonOptions;
    } else {
      _polygonOptions = {};
      for(k in polygonOptions) {
        if(k != "__gwt_ObjectId") {
          _polygonOptions[k] = polygonOptions[k];
        }
      }
    } 
    this.polygonOptions = _polygonOptions;
  }-*/;

  /**
   * Expression that defines the regions to which this style rule applies.
   */ 
  public final native void setWhere(String where)/*-{
    this.where = where;
  }-*/;

}

